#include "mars.h"

#include "myMaterial.cpp"
#include "myElement.cpp"

// --------------------------------------------------------------------
// createUserDefinedList(...) and readRstUserDefineList(...)
// must always be defined

obLst *Model::createUserDefinedList (string nam, Reader *rdr) {
    string lbl = rdr->getShortLabel();
    if (lbl == "myElement")
        return new ttL_myElement(nam);
    return NULL;
}

obLst *Model::readRstUserDefinedList (RstReader *rst, string nam) {
    return NULL;
}

// --------------------------------------------------------------------
// createUserDefinedObject(...) and readRstUserDefinedObject(...)
// must always be defined

Obj *Model::createUserDefinedObject (string nam, Reader *rdr) {
    string lbl = rdr->getShortLabel();
    if (lbl == "myMaterial")
        return new myMaterial(nam);
    return NULL;
}

Obj *Model::readRstUserDefinedObject (RstReader *rst, string nam) {
    return NULL;
}
